#!/usr/local/bin/perl

# Script written by Ben (benjamin@media.mit.edu)
# This script simply takes care of subscribing a person to the mailing list
# Currently, this is done by sending mail to benjamin@media.mit.edu
# soon, it will be automated with majordomo.
# Brain Opera, MIT Media Lab

do 'cgi-hacks.pl';
do 'mail-utilities';
do 'user_info.pl';

require 'flush.pl';

&find_form_args("name|email|interests");

sub html_header { 
	print "Content-type: text/html\n\n";
	&flush(STDOUT);
    }

$sender_name="NEW subscriber : Brain Opera";
$sender_email="webmaster@brainop.media.mit.edu";
$recipient_name="Brain Opera Webmaster";
$recipient_email="webmaster@brainop.media.mit.edu";
$subject="NEW BRAINOP SUBSCRIBER";
$message="NEW SUBSCRIBER : $name
EMAIL ADDRESS : $email

SPECIAL INTERESTS : 
$interests";

$user_info=&get_user_info();

# Send mail to webmaster
&mailer("$sender_name","$sender_email","$recipient_name","$recipient_email","$subject","$message","$user_info");

# Send mail to user to welcome him to mailing list
open(welcome,"/users/benjamin/welcome.txt");
@input=<welcome>;
$welcome_text="@input";
close(welcome);

# Append the email address to the list of members
open(list,">> /users/benjamin/lists/mailing-list");
print list "$email\n";
close(list);

# Send mail to the person and send the welcome message
&mailer_user("The Brain Opera Web Master","webmaster@brainop.media.mit.edu","$name","$email","Welcome !","$welcome_text");

&html_header;
print "<HTML><HEAD><TITLE>Welcome to the Brain Opera Mailing List</TITLE></HEAD>
<BODY bgcolor=#000000 text=#eeeeee link=#bbbbbb vlink=#bbbbbb>
<center><h1>Welcome to <br>the Brain Opera Mailing List</h1>
<hr size=4 width=40%>
<font size=+2>
Your email address has been added to our mailing list.<br>
You should soon receive an email confirming your presence on the list. Meanwhile, feel free to continue<br>
<a href=\"/home.html\">browsing our site</a>.</font>
<hr size=3>
<address>webmaster@brainop.media.mit.edu</address></BODY></HTML>";